Subject: Re: Xilinx PowerPC

From: "Alan Casey" <[email-masked]>
Date: Fri, 22 Feb 2008 17:23:21 +0000

>-- Original Message --
>Date: Thu, 21 Feb 2008 12:02:21 -0700
>From: "Grant Likely" <[email-masked]>
>To: "Stephen Neuendorffer" <[email-masked]>
>Subject: Re: Xilinx PowerPC
>Cc: linuxppc-embedded <[email-masked]>
>
>
>On Thu, Feb 21, 2008 at 10:50 AM, Stephen Neuendorffer
><[email-masked]> wrote:
>>  >     Step 2).
>>  >              the code in arch/powerpc/???? is the devicetree equvalent
>>  to
>>  >              arch/ppc/platforms/4xx/xilinx_ml410.c
>>  http://git.xilinx.com/linux-2.6-xlnx.git contains a preliminary stab
at
>>  the bootcode for Virtex.  I've been using this for a while with
>>  ARCH=powerpc.  There isn't really much need for board specific platform
>>  code: This should (I think) be handled by the device tree.  All of this
>>  is still pretty preliminary at the moment however.  The big problem with
>>  the boot code in the Xilinx tree is that you need to be able to allocate
>>  memory in order to parse the device tree in order to figure out how much
>>  memory you have.  I just haven't rewritten the code to use libfdt, which
>>  can query the device tree without memory allocation yet.  Grant has a
>>  slightly different scheme in his tree, but it works as well.  Generally
>>  I've been more focused on avoiding u-boot, whereas Grant has been using
>>  u-boot exclusively, I think.
>
>Actually, I'm not using u-boot at all.  I've reworked the 'raw' image
>target to use libfdt and properly initialize the cache and stuff.
>I'll be merging it in the .26 merge window.
>

Hi,

  Just wondering - is it possible to use U-Boot on the Xilinx XUPV2PRO
  board or any similar tools (such as libfdt?) to copy a Linux kernel and

  ramdisk filesystem from a SystemACE card to memory, uncompress them and

  boot the Linux kernel etc?? If so is there any notes/docs about how to
do
  this or similar online anywhere?

  Any info. appreciated,
  Regards&Thanks,
  Alan.